## com.imcode.imcms.test.casual
Class TestLanguagePropertiesInUse.StringCollectingFileFilter

    java.lang.Object
      com.imcode.imcms.test.casual.TestLanguagePropertiesInUse.StringCollectingFileFilter

All Implemented Interfaces:
  java.io.FileFilter

Enclosing class:
  TestLanguagePropertiesInUse

    public static class TestLanguagePropertiesInUse.StringCollectingFileFilter

extends java.lang.Object
implements java.io.FileFilter

Constructor Summary
`TestLanguagePropertiesInUse.StringCollectingFileFilter(java.lang.String stringPattern)`

Method Summary
`boolean` `accept(java.io.File file)`
`java.util.Set` `getCollectedStrings()`
`void` `setStringPattern(java.lang.String stringPattern)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestLanguagePropertiesInUse.StringCollectingFileFilter

    public TestLanguagePropertiesInUse.StringCollectingFileFilter(java.lang.String stringPattern)

Method Detail

### accept

    public boolean accept(java.io.File file)

  Specified by:
    `accept` in interface `java.io.FileFilter`

### getCollectedStrings

    public java.util.Set getCollectedStrings()

### setStringPattern

    public void setStringPattern(java.lang.String stringPattern)